<div #anchor class="cursor-pointer adr-main-field {{_class}} d-flex align-content-end">

    <div class="d-flex w-100 flex-fill" *ngIf="startDate && endDate">
        <span>{{startDate | date: (format || 'dd/MM/yyyy')}}</span>
        <mat-icon class="mx-3" style="color: #1c1b1b !important; display: block; font-size: 18px !important;">east</mat-icon>
        <span>{{endDate | date: (format || 'dd/MM/yyyy')}}</span>
    </div>

    <label class="flex-fill" *ngIf="!startDate || !endDate" style="font-size: 16px;line-height: 22px;letter-spacing: 0.15px;color: #939393;">{{placeholder}}</label>

    <img matSuffix src="./assets/ic-calendar-big.png" style="margin-top: -6px;" width="24" height="24" />
</div>

<kendo-popup #popup
             class="app-date-picker-popup-wrapper"
             [anchor]='anchor'
             [collision]="collision"
             popupClass="d-flex flex-column justify-content-center align-items-center app-date-selection-popup"
             *ngIf="isCalendarOpen"
             (open)="openCalendarPopup()"
             (mouseover)="calenderPopupFocus(true)"
             (mouseleave)="calenderPopupFocus(false)"
>

    <div class="d-flex flex-column w-100" style="gap: 16px; padding: 14px 14px 5px 14px" [formGroup]="formGroup">
        <input #startField class="date-field" type="text" [value]="startDate | date: (format || 'dd/MM/yyyy')" (click)="clickField(START)" (keydown)="$event.preventDefault()" />
        <input #endField class="date-field" type="text" [value]="endDate | date: (format || 'dd/MM/yyyy')" (click)="clickField(END)" (keydown)="$event.preventDefault()" />
    </div>

    <dx-calendar
            class="app-calendar-popup"
            [minZoomLevel]="minZoomLevel"
            [maxZoomLevel]="maxZoomLevel"
            [firstDayOfWeek]="1"
            [disabled]="false"
            [value]="fieldValue"
            [min]="min"
            [max]="max"
            cellTemplate="custom"
            (onOptionChanged)="optionChanged()"
            (valueChange)="changeVal($event)"
    >

        <div class="d-flex align-items-center justify-content-center calender-tmplt-cell" [class.cell-selected]="isSelected(cell.date)" [class.start]="isStart(cell.date)" [class.end]="isEnd(cell.date)"
             *dxTemplate="let cell of 'custom'"

        >
            <div class="d-flex align-items-center justify-content-center calender-tmplt-cell-text">
                {{cell.text}}
            </div>
        </div>
    </dx-calendar>
</kendo-popup>
